#include <stdio.h>
#include <cthreads.h>

/* this program gives different outputs in these cases:
	./main
	./main > /tmp/o 	# `/tmp/o' file will not have the
				# same contents as the output of the
				# previous command
 */

void child_fnc( int i )
{
	printf( "slave:0\n" );
}

int main()
{
	cthread_t child_thread;
	child_thread = cthread_fork( child_fnc, 30 );	
	printf( "master:0\n" );
	cthread_join( child_thread );
	printf( "master:1\n" );
	return 0;
}
